# H501Transaction Class Reference

`#include <peclient.h>`

Inheritance diagram for H501Transaction:

[legend]
Collaboration diagram for H501Transaction:
[legend]

## Public Member Functions

| H501Transaction (H323PeerElement &pe, const H501PDU &pdu, PBoolean hasReject)
virtual H323TransactionPDU * | CreateRIP (unsigned sequenceNumber, unsigned delay) const
virtual H235Authenticator::ValidationResult | ValidatePDU () const

## Data Fields

H501_MessageCommonInfo & | requestCommon
H501_MessageCommonInfo & | confirmCommon

## Protected Attributes

H323PeerElement & | peerElement

## Constructor & Destructor Documentation

H501Transaction::H501Transaction | ( | H323PeerElement & | pe,
|  | const H501PDU & | pdu,
|  | PBoolean | hasReject |
| ) |  |  |

## Member Function Documentation

virtual H323TransactionPDU* H501Transaction::CreateRIP | ( | unsigned | sequenceNumber,
|  | unsigned | delay |
| ) |  |  | const`[virtual]`

Implements H323Transaction.

virtual H235Authenticator::ValidationResult H501Transaction::ValidatePDU | ( |  | ) | const`[virtual]`

Implements H323Transaction.

## Field Documentation

H501_MessageCommonInfo& H501Transaction::confirmCommon

H323PeerElement& H501Transaction::peerElement `[protected]`

H501_MessageCommonInfo& H501Transaction::requestCommon

The documentation for this class was generated from the following file:

- peclient.h